%define name uml-utilities 
%define version 20070815
%define release %mkrel 6

%define	Summary	Tools to run and configure usermodes linux

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	%{Summary}
Source0:	uml_utilities_%{version}.tar.bz2
Source1:	tun.rules
Source2:    umlswitch.init
Source3:    umlswitch.sysconfig
Patch0:     uml-utilities-fix-install-usage.patch
License:	GPL
Group:		Emulators
BuildRoot:	%{_tmppath}/%{name}-buildroot
Url:		http://user-mode-linux.sourceforge.net/
BuildRequires:	libreadline-devel
BuildRequires:	libncurses-devel
BuildRequires:  fuse-devel
Requires:	tunctl

%description
This package contains tools that permit to you:
- configure on fly running usermode kernel
- setting up virtual network between usermode host.

%package -n tunctl
Summary: Tool to create and manage persistent TUN/TAP interfaces
Group: Networking/Other
Conflicts: %{name} <= 20060323-2mdv2007.1
Requires(pre): rpm-helper
Requires(postun): rpm-helper

%description -n tunctl
tunctl allows the host sysadmin to preconfigure a TUN/TAP device for
use by a particular user. That user may open and use the device, but
may not change any aspects of the host side of the interface.

%prep
%setup -n tools-%{version} -q
%patch0 -p0

%build
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
install -D %{SOURCE1} %{buildroot}%{_sysconfdir}/udev/rules.d/45-tun.rules

install -D -m 755 %{SOURCE2} %buildroot/%_initrddir/umlswitch
install -D -m 644 %{SOURCE3} %buildroot/%{_sysconfdir}/sysconfig/umlswitch

%clean
rm -rf $RPM_BUILD_ROOT

%pre -n tunctl
%_pre_groupadd tun

%postun -n tunctl
%_postun_groupdel tun

%files
%defattr(-,root,root)
%exclude %{_bindir}/tunctl
%{_bindir}/*
%{_sbindir}/*
%{_libdir}/uml
%_initrddir/umlswitch
%config %{_sysconfdir}/sysconfig/umlswitch

%files -n tunctl
%defattr(-,root,root)
%{_bindir}/tunctl
%config(noreplace) %{_sysconfdir}/udev/rules.d/45-tun.rules


%changelog
* Sun Sep 20 2009 Thierry Vignaud <tvignaud@mandriva.com> 20070815-6mdv2010.0
+ Revision: 445611
- rebuild

* Thu Feb 26 2009 Guillaume Rousse <guillomovitch@mandriva.org> 20070815-5mdv2009.1
+ Revision: 345232
- rebuild against new readline

* Mon Jul 21 2008 Olivier Thauvin <nanardon@mandriva.org> 20070815-4mdv2009.0
+ Revision: 239505
- fix file list
- get back udev rules, but ensure they take precedence over udev config

* Mon Jul 21 2008 Olivier Thauvin <nanardon@mandriva.org> 20070815-3mdv2009.0
+ Revision: 239493
- don't provide udev rules for net/tun, there are already some from udev itself

* Sat Jul 12 2008 Olivier Thauvin <nanardon@mandriva.org> 20070815-2mdv2009.0
+ Revision: 234154
- add an initscript for uml_switch daemon
- let uml_net be setuid

* Thu Apr 24 2008 Olivier Thauvin <nanardon@mandriva.org> 20070815-1mdv2009.0
+ Revision: 197083
- 20070815

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Dec 17 2007 Thierry Vignaud <tvignaud@mandriva.com> 20060323-3mdv2008.1
+ Revision: 128741
- kill re-definition of %%buildroot on Pixel's request


* Sat Jan 06 2007 Olivier Blin <oblin@mandriva.com> 20060323-3mdv2007.0
+ Revision: 104685
- make /dev/net/tun owned by the tun group (#21113)
- make the tunctl package add a tun system group (part of #21113)
- move tunctl in a subpackage since it is often used without UML (description from Debian manpage)

* Thu Aug 10 2006 Olivier Thauvin <nanardon@mandriva.org> 20060323-2mdv2007.0
+ Revision: 54861
- patch0: fix build
- Import uml-utilities

* Wed Apr 05 2006 Tibor Pittich <Tibor.Pittich@mandriva.org>  20060323-1mdk
- 20060323
- remove suid bit on uml_net

* Thu Mar 16 2006 Tibor Pittich <Tibor.Pittich@mandriva.org> 20060216-1mdk
- new version

* Tue Apr 05 2005 Nicolas Lcureuil <neoclust@mandrake.org> 20040406-3mdk
- %%mkrel
- Fix summary

* Tue Apr 05 2005 Nicolas Lcureuil <neoclust@mandrake.org> 20040406-2mdk
-  Rebuild for Readline

* Wed Apr 14 2004 Stew Benedict <sbenedict@mandrakesoft.com> 20040406-1mdk
- 20040406

* Thu Jan 08 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 20030903-3mdk
- DIRM fix

